<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.distributed-cache.store.binary-jdbc.table.binary.data-column">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="name,type"/>
        <elem name="complex-attribute" value="data-column"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,distributed-cache,store,table"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.distributed-cache.store.binary-jdbc.table.binary"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="name" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="store" feature-id="true" default="binary-jdbc"/>
        <param name="distributed-cache" feature-id="true"/>
        <param name="type" nillable="true"/>
        <param name="table" feature-id="true" default="binary"/>
    </params>
</feature-spec>